//
// Copyright (C) 2005 Mirko Nasato <mirko@artofsolving.com>
//
// Distributable under the terms of the LGPL license.
// See http://www.gnu.org/copyleft/lesser.html
//
package net.sf.davcache;

import org.dom4j.DocumentFactory;
import org.dom4j.Element;
import org.dom4j.QName;

public class DavXmlUtils
{

   public static QName toDavQName(String name)
   {
      return DocumentFactory.getInstance().createQName(name, "D", "DAV:");
   }

   public static Element addDavElement(Element parent, String name)
   {
      return DavXmlUtils.addDavElement(parent, name, null);
   }

   public static Element addDavElement(Element parent, String name, String text)
   {
      Element child = parent.addElement(toDavQName(name));
      if (text != null)
      {
         child.setText(text);
      }
      return child;
   }
}
