package net.sf.davcache;

import java.util.Map;
import java.util.Set;

import javax.naming.NamingException;

import org.jboss.cache.CacheException;
import org.jboss.cache.TreeCacheMBean;

public interface TreeCacheStoreMBean
{

   public void setTreeCache(TreeCacheMBean treeCache) throws CacheException;

   /**
    * You must call either this method or {@link #setTreeCache(TreeCacheMBean)} before starting.
    * 
    * @param treeCacheJndiName the JNDI name of the TreeCache instance that this store will use
    */
   public void setTreeCacheJndiName(String treeCacheJndiName);

   public void start() throws NamingException, CacheException;

   public void stop();

   public boolean isDirectory(String path);

   public boolean isFile(String path);

   public boolean exists(String path);

   public Map getProperties(String path) throws CacheException;

   public String getContentType(String path) throws CacheException;

   public Set getFileNames(String path) throws CacheException;

   public Set getDirectoryNames(String path) throws CacheException;

   public boolean isDirectoryEmpty(String path) throws CacheException;

   public void createDirectory(String path) throws CacheException;

   public void createFile(String path, byte[] binaryContent) throws CacheException;

   public byte[] getFileContent(String path) throws CacheException;

   public String getFileContentAsString(String path) throws CacheException;

   public void deleteDirectory(String path) throws CacheException;

   public void deleteFile(String path) throws CacheException;

   public void copyDirectory(String sourcePath, String destinationPath) throws CacheException;

   public void copyFile(String path, String destinationPath) throws CacheException;

   public void moveDirectory(String path, String destinationPath) throws CacheException;

   public void moveFile(String path, String destinationPath) throws CacheException;

}